C
C     TEST PROGRAM
C
C       THIS PROGRAM WAS WRITTEN AS AN INPUT FORTRAN PROGRAM FOR THE
C     BASIC PROGRAM DIVPGM.BAS. DIVPGM DIVIDES A FORTRAN PROGRAM INTO
C     SUBPROGRAM ELEMENTS FOR COMPILING PURPOSES. THESE ELEMENTS ARE BY
C     SUBROUTINE, FUNCTION AND BLOCK SUBPROGRAMS.
C
      PROGRAM TEST
      COMMON /X/ X
      WRITE(6,10)
   10 FORMAT(1X,'THIS IS A TEST PROGRAM WRITTEN FOR DIVPGM.BAS TO SPLIT
     *INTO SUBPROGRAM ELEMENTS'//)
      Y = SRT(X)
      CALL SUB (X,Y)                                                    SQ EX1
      END                                                               SQ EX2
      BLOCK DATA   DBLUK                                                SQ EX3
      COMMON /X/ X
      DATA X/25.4/
      END
                                                                        SQ EX4
C
      FUNCTION SRT (X)
       SRT = SQRT(X)
      RETURN
      END
      SUBROUTINE SUB(X,Y)
      WRITE(6,10) X, Y
   10 FORMAT(' THE SQUARE ROOT OF ',F4.1,' IS EQUAL TO',F6.3)
      RETURN
      END
